@ echo off

echo ##########################################################################################
echo ################################# SETUP MOKA INTEGRATION #################################
echo ##########################################################################################
echo ##########################################################################################
echo ####################  CONFIGURARE LE VARIABILI D'AMBIENTE D'INTERESSE  ###################
echo ##########################################################################################
echo ##########################################################################################

echo WORK_DIR: %WORK_DIR%

echo HOST_A (Host applicazione A: TOMCAT): %HOST_A%
echo HOST_B (Host applicazione B: WLS): %HOST_B%
echo HOST_C (Host applicazione C: IIS): %HOST_C%
echo HOST_D (Host applicazione D: CORBA): %HOST_D%

echo MY_CLASSES %MY_CLASSES%
echo JBOSS_DIST: %JBOSS_DIST%
echo ANT_HOME: %ANT_HOME%
echo JAVA_HOME: %JAVA_HOME%
echo TOMCAT_HOME: %TOMCAT_HOME%
echo %WLS_HOME%
echo %WLS_USER_HOME%
echo AXIS_DIST: %AXIS_DIST%
echo AXIS_PATH: %AXIS_PATH%

echo setting CLASSPATH ... please wait ...
echo Moka classes ...
set CLASSPATH=.;%MY_CLASSES%
echo ... ANT JAR ...
set CLASSPATH=%CLASSPATH%;%JAVA_HOME%\lib\tools.jar;%ANT_HOME%\lib\ant.jar;%ANT_HOME%\lib\crimson.jar;%ANT_HOME%\lib\jaxp.jar

echo CLASSPATH: %CLASSPATH%

echo ############################# SETUP MOKA INTEGRATION  DONE ! #############################

echo =========================check environment MOKA INTEGRATION ==============================

if %JAVA_HOME%a==a echo # ATTENZIONE # definire la variabile d'ambiente JAVA_HOME (ad es: c:\java\jdk1.3.1)

if %ANT_HOME%a==a echo # ATTENZIONE # L'applicazione A NON sara' installabile mediante ANT oppure definire la variabile d'ambiente ANT_HOME (ad es: C:\java\jakarta-ant-1.4.1)

if %TOMCAT_HOME%a==a echo # ATTENZIONE # L'applicazione A (Presentation) NON sara' installabile oppure definire la variabile d'ambiente TOMCAT_HOME (ad es: C:\jakarta-tomcat-4.1.18)

if %JBOSS_DIST%a==a echo # ATTENZIONE # L'applicazione A (Business) NON sara' installabile oppure definire la variabile d'ambiente JBOSS_DIST (ad es: C:\JBoss-2.4.4)

if %AXIS_DIST%a==a echo # ATTENZIONE # NON sara' possibile provare l'integrazione WS Java (articolo Integrazioni parte III) oppure definire la variabile d'ambiente AXIS_DIST (ad es: C:\Programmi\axis-1_1RC1)

if %AXIS_PATH%a==a echo # ATTENZIONE # NON sara' possibile provare l'integrazione con il WS Java NON essendo specificata la WebApp Axis(articolo Integrazioni parte III) oppure definire la variabile d'ambiente AXIS_PATH (ad es: C:\jakarta-tomcat-4.1.18\webapps\axis)

if %WLS_HOME%a==a echo # ATTENZIONE # NON sara' possibile provare l'integrazione Object/RPC (articolo Integrazioni parte II) oppure definire la variabile d'ambiente WLS_HOME (ad es: c:\bea\weblogic700)


