#!/bin/sh

. setenv_eai.sh

export DESTINATION_DIR=$WORK_DIR/generated/corba/java

# Tomcat NON deve essere attivo per l'undeploy perch farebbe fallire la cancellazione di APP_A.war e della directory webApp\APP_A

echo "undeploy  ..."
$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile build.xml undeploy-all

if [ -z $JBOSS_DIST ]
then
	echo "########################"
        echo "### NO deploy JBoss ####" 
	echo "########################"
else
        echo "deploy del JAR in JBoss..."
	$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile build.xml deploy-jboss
fi

if [ -z $TOMCAT_HOME ]
then
	echo "#########################"
        echo "### NO Deploy TOMCAT ####" 
	echo "#########################"
else
        echo "deploy war in Tomcat"
	$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile build.xml deploy-tomcat
fi

if [ -z $AXIS_DIST ]
then
	echo "########################"
        echo "#### NO JAR WS AXIS ####"
	echo "########################"
else
	echo "*******************************"
        echo "* Deploy AXIS WS JAR ... *"
	echo "*******************************"
	./deployerWS.sh
fi
