#!/bin/bash

. setenv_eai.sh

[ $TOMCAT_HOME == "" ] && setupErrorTOM
[ $JBOSS_DIST == "" ] && setupErrorJB
[ $ANT_HOME == "" ] && setupErrorAH
[ $JAVA_HOME == "" ] && setupErrorJH

export CLASSPATH=.:$JAVA_HOME/lib/tools.jar:$ANT_HOME/lib/ant.jar:$ANT_HOME/lib/crimson.jar:$ANT_HOME/lib/jaxp.jar

echo $CLASSPATH

$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile build.xml $1


setupErrorTOM()
{
  echo "definire la variabile d'ambiente TOMCAT_HOME (ad es: )"
  exit
}

setupErrorJB()
{
  echo "definire la variabile d'ambiente JBOSS_DIST (ad es: )"
  exit
}

setupErrorAH()
{
  echo "definire la variabile d'ambiente ANT_HOME (ad es: C:\java\jakarta-ant-1.4.1)"
  exit
}

setupErrorJH()
{
  echo "definire la variabile d'ambiente JAVA_HOME (ad es: c:\java\jdk1.3.1)"
  exit
}




