<%@ WebService  class="Calculator" %>

using System;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Configuration;
using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Tcp;
using RemotingSamples;

[WebService(Namespace="urn:Calculator.webservice.dotnet")]
public class Calculator:WebService
{
    [WebMethod]
    public int getLength(string parola)
    {
		// return parola.Length;
      	
		int result = 0;
		try{
			// TcpChannel chan = new TcpChannel();
      		// ChannelServices.RegisterChannel(chan);
      		MokaServant obj = 
      			(MokaServant)Activator.GetObject(
			 		typeof(RemotingSamples.MokaServant),"tcp://localhost:9999/MokaRemotingCalculator");
      		if (obj != null){ 
				result=obj.getLength(parola);
				if(result!=-1){
      				result=result*2; // multiply just for sake & clearity
				}
			}
			else{
				result=-2; // something goes wrong with remote object
			}
		}catch(Exception e){
			result = -3;  // server is down ...
		}
 		return result; 
    }
}

