echo off

. ../../../../ant/setenv_eai.sh

if [ -z $J2EE_HOME ]
then
	echo "Per questo test definire la variabile d'ambiente J2EE_HOME (ad es: /opt/j2sdkee1.3 )"
	exit
fi

export CLIENT_STUB=$WORK_DIR/bin/moka_ejb_integration.jar

export J2EE_JAR=$J2EE_HOME/lib/j2ee.jar

export CLASSPATH=$CLASSPATH:.:$J2EE_JAR:$CLIENT_STUB
echo "CLASSPATH: $CLASSPATH"

export CF=com.sun.jndi.cosnaming.CNCtxFactory
echo "ContextFactory: $CF"

export PU=corbaloc::localhost:3528/JBoss/Naming/root
echo "Provider URL: $PU"

export JNDI_NAME=MokaCalculatorIIOP
echo "JNDI NAME: $JNDI_NAME"

echo "Starting test ..."

$JAVA_HOME/bin/java -classpath $CLASSPATH -Djava.security.manager -Djava.security.policy=mysecurity.policy -Djava.naming.factory.initial=$CF -Djava.naming.provider.url=$PU it.mokabyte.eai.my.client.ejb.jboss.CalculatorTestClient $JNDI_NAME


echo "... done !"
