#!/bin/sh

. ../../../ant/setenv_eai.sh

JBOSS_JAR=$JBOSS_DIST/server/all/lib/jboss-j2ee.jar
JBOSS_JAR=$JBOSS_JAR:$JBOSS_DIST/server/all/lib/jboss.jar
JBOSS_JAR=$JBOSS_JAR:$JBOSS_DIST/server/all/lib/jnpserver.jar
JBOSS_JAR=$JBOSS_JAR:$JBOSS_DIST/server/all/lib/jndi.jar
JBOSS_JAR=$JBOSS_JAR:$JBOSS_DIST/lib/jboss-common.jar
JBOSS_JAR=$JBOSS_JAR:$JBOSS_DIST/server/all/lib/log4j.jar

echo "JBOSS_MQ ..."
JBOSS_JMS_JAR=$JBOSS_DIST/server/all/lib/jbossmq.jar
JBOSS_JMS_JAR=$JBOSS_JMS_JAR:$JBOSS_DIST/lib/concurrent.jar

export CLASSPATH=$CLASSPATH:$JBOSS_JAR:$JBOSS_JMS_JAR;
echo "CLASSPATH: $CLASSPATH"

CF=org.jnp.interfaces.NamingContextFactory
echo "ContextFactory: $CF"

PU=jnp://$HOST_A:1099
echo "Provider URL: $PU"

JNDI_NAME=MokaCalculator
echo "JNDI NAME: $JNDI_NAME"

echo "Starting test ..."

$JAVA_HOME/bin/java -classpath $CLASSPATH -Djava.naming.factory.initial=$CF -Djava.naming.provider.url=$PU it.mokabyte.eai.my.client.jms.CalculatorTestClient

echo "... done !"
