#!/bin/sh

. ../../../../../ant/setenv_eai.sh

DESTINATION_DIR=.
echo "DESTINATION_DIR: $DESTINATION_DIR$"

echo "AXIS JAR ..."
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/axis.jar:
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/commons-logging.jar:
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/commons-discovery.jar
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/saaj.jar
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/jaxrpc.jar
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/wsdl4j.jar

CLASSPATH=.:$AXIS_JAR
echo "CLASSPATH: $CLASSPATH"

if [ ! -d classes ]
then
	mkdir classes
fi

echo "####################################################################################"
echo "...creazione stub Java Axis/Java a partire dal WSDL sull'HOST $HOST_C (.NET/C#)..."
echo "####################################################################################"

$JAVA_HOME/bin/java org.apache.axis.wsdl.WSDL2Java -o $DESTINATION_DIR  -p ws.dotnet http://$HOST_C:80/app_c/ws/Calculator2.asmx?wsdl
echo "... i sorgenti Java sono disponibile nella directory $DESTINATION_DIR/ws/dotnet ..."

echo "done !"

echo "###################################"
echo "# Compilazione Client per WS .NET #"
echo "###################################"

echo "*************************************"
echo "* Compilazione dei sorgenti generati*"
echo "*************************************"
$JAVA_HOME/bin/javac -d classes -classpath $CLASSPATH ws/dotnet/*.java
echo "***********************************"
echo "* Compilazione del sorgente client*"
echo "***********************************"
$JAVA_HOME/bin/javac -d classes -classpath $CLASSPATH:classes TestClientDefines.java Calculator2TestClient.java

