<?xml version="1.0" encoding="utf-8"?>
<definitions xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:s0="urn:Calculator.webservice.dotnet/literalTypes" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="urn:Calculator.webservice.dotnet" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" targetNamespace="urn:Calculator.webservice.dotnet" xmlns="http://schemas.xmlsoap.org/wsdl/">
  <types>
    <s:schema elementFormDefault="qualified" targetNamespace="urn:Calculator.webservice.dotnet/literalTypes">
      <s:element name="int" type="s:int" />
    </s:schema>
  </types>
  <message name="getLengthSoapIn">
    <part name="word" type="s:string" />
  </message>
  <message name="getLengthSoapOut">
    <part name="getLengthResult" type="s:int" />
  </message>
  <message name="getLengthHttpGetIn">
    <part name="word" type="s:string" />
  </message>
  <message name="getLengthHttpGetOut">
    <part name="Body" element="s0:int" />
  </message>
  <message name="getLengthHttpPostIn">
    <part name="word" type="s:string" />
  </message>
  <message name="getLengthHttpPostOut">
    <part name="Body" element="s0:int" />
  </message>
  <portType name="CalculatorSoap">
    <operation name="getLength">
      <input message="tns:getLengthSoapIn" />
      <output message="tns:getLengthSoapOut" />
    </operation>
  </portType>
  <portType name="CalculatorHttpGet">
    <operation name="getLength">
      <input message="tns:getLengthHttpGetIn" />
      <output message="tns:getLengthHttpGetOut" />
    </operation>
  </portType>
  <portType name="CalculatorHttpPost">
    <operation name="getLength">
      <input message="tns:getLengthHttpPostIn" />
      <output message="tns:getLengthHttpPostOut" />
    </operation>
  </portType>
  <binding name="CalculatorSoap" type="tns:CalculatorSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="rpc" />
    <operation name="getLength">
      <soap:operation soapAction="urn:Calculator.webservice.dotnet/getLength" style="rpc" />
      <input>
        <soap:body use="encoded" namespace="urn:Calculator.webservice.dotnet" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" />
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:Calculator.webservice.dotnet" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" />
      </output>
    </operation>
  </binding>
  <binding name="CalculatorHttpGet" type="tns:CalculatorHttpGet">
    <http:binding verb="GET" />
    <operation name="getLength">
      <http:operation location="/getLength" />
      <input>
        <http:urlEncoded />
      </input>
      <output>
        <mime:mimeXml part="Body" />
      </output>
    </operation>
  </binding>
  <binding name="CalculatorHttpPost" type="tns:CalculatorHttpPost">
    <http:binding verb="POST" />
    <operation name="getLength">
      <http:operation location="/getLength" />
      <input>
        <mime:content type="application/x-www-form-urlencoded" />
      </input>
      <output>
        <mime:mimeXml part="Body" />
      </output>
    </operation>
  </binding>
  <service name="Calculator">
    <port name="CalculatorSoap" binding="tns:CalculatorSoap">
      <soap:address location="http://localhost/app_c/ws/Calculator.asmx" />
    </port>
    <port name="CalculatorHttpGet" binding="tns:CalculatorHttpGet">
      <http:address location="http://localhost/app_c/ws/Calculator.asmx" />
    </port>
    <port name="CalculatorHttpPost" binding="tns:CalculatorHttpPost">
      <http:address location="http://localhost/app_c/ws/Calculator.asmx" />
    </port>
  </service>
</definitions>