package it.mokabyte.eai.my.ejb;

import java.rmi.RemoteException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;

/**
 * <p>Title: ConcatBean</p>
 * <p>Description: un EJB che permette la concatenazione di due stringhe</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author S.Rossini
 * @version 1.0
 */
public class ConcatBean implements SessionBean {

   public String concatTheString(String a, String b) {
      System.out.println(new java.util.Date().toString()+"-ConcatBean.concatTheString="+ a + b);
      System.out.flush();
      return a + b;
   }
   public ConcatBean() {
      System.out.println(new java.util.Date().toString()+"-ConcatBean::constructor...");
      System.out.flush();
   }
   public void ejbCreate() {
      System.out.println(new java.util.Date().toString()+"-ConcatBean.ejbCreate...");
      System.out.flush();
   }
   public void ejbRemove() {
      System.out.println(new java.util.Date().toString()+"-ConcatBean.ejbRemove...");
   }
   public void ejbActivate() {
      System.out.println(new java.util.Date().toString()+"-ConcatBean.ejbActivate...");
   }

   public void ejbPassivate() {
      System.out.println(new java.util.Date().toString()+"-ConcatBean.ejbPassivate...");
   }

   public void setSessionContext(SessionContext sc) {
      System.out.println(new java.util.Date().toString()+"-ConcatBean.setSessionContext(ctx)...");
   }


}
