package it.mokabyte.eai.my.valueobject;

import java.util.*;

/**
 * <p>Title: MailOM</p>
 * <p>Description: Object Model della mail</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author S. Rossini
 * @version 1.0
 */
public class MailOM implements java.io.Serializable{

  private String recipient;
  private String bodyMail;

  public MailOM() {
   }

  public MailOM(String rec,String msg) {
    this.recipient = rec;
    this.bodyMail = msg;
  }

  // Accessors
  public String getRecipient(){
      return this.recipient;
  }

  public String getBodyMail(){
      return this.bodyMail;
  }

  public void setBodyMail(String bodyMail) {
    this.bodyMail = bodyMail;
  }
  public void setRecipient(String recipient) {
    this.recipient = recipient;
  }


  public boolean equals(Object obj){
      if( ((MailOM)obj).getRecipient().equals(this.recipient) )
        return true;
      else
        return false;
  }

  public String toString(){
      return "MailOM: " + this.recipient + "-" + this.bodyMail;
  }
}
