#include <iostream>
#include <string>

#include <soapsoapCalculatorProxy.h>
#include <soapCalculator.nsmap>

using namespace std;

int main(int argc, char* argv[])
{
	if (argc != 2)
	{
		cout << "usage: " << argv[0] << " <string_argument>" << endl;
		exit(1);
	}
	soapCalculator* myProxy = new soapCalculator();

	myProxy->soap->encodingStyle = NULL; // don't use SOAP encoding
	myProxy->soap->defaultNamespace = "urn:Calculator.webservice.dotnet"; // use the service's namespace
	soap_set_omode(myProxy->soap, SOAP_XML_TREE); // don't produce multi-ref data (but can accept) 
	
	s0__getLengthResponse_ out;
	cout << "Connecting to endpoint: " << myProxy->endpoint << endl;
	int retVal = myProxy->getLength(argv[1], &out );
	cout << "retVal: " << retVal<< endl;
	if (retVal == SOAP_OK)
		cout << "Success!!" << endl;
	else
		cout << "Failure!!" << endl;
	cout << "Lunghezza di " << argv[1] << ": " << out.getLengthResult << endl;
}
