#!/bin/sh

echo "##########################################################################################"
echo "################################# SETUP MOKA INTEGRATION #################################"
echo "##########################################################################################"
echo "##########################################################################################"
echo "####################  CONFIGURARE LE VARIABILI D'AMBIENTE INTERESSATE  ###################"
echo "##########################################################################################"
echo "##########################################################################################"

echo "WORK_DIR: $WORK_DIR"

echo "HOST_A (Host applicazione A: TOMCAT): $HOST_A"
echo "HOST_B (Host applicazione B: WLS): $HOST_B"
echo "HOST_C (Host applicazione C: IIS): $HOST_C"
echo "HOST_D (Host applicazione D: CORBA): $HOST_D"


echo "MY_CLASSES: $MY_CLASSES"
echo "JBOSS_DIST: $JBOSS_DIST"
echo "ANT_HOME: $ANT_HOME"
echo "JAVA_HOME: $JAVA_HOME"
echo "TOMCAT_HOME: $TOMCAT_HOME"
echo "MICO_HOME: $MICO_HOME"
echo $WLS_HOME
echo $WLS_USER_HOME
echo "AXIS_DIST: $AXIS_DIST"
echo "AXIS_PATH: $AXIS_PATH"

echo "setting CLASSPATH ... please wait ..."
echo "Moka classes ..."
export CLASSPATH=.:$MY_CLASSES

CLASSPATH=$CLASSPATH:$JAVA_HOME/lib/tools.jar:$ANT_HOME/lib/ant.jar:$ANT_HOME/lib/crimson.jar:$ANT_HOME_lib/jaxp.jar
export CLASSPATH
echo "CLASSPATH= $CLASSPATH"


echo "############################# SETUP MOKA INTEGRATION  DONE ! #############################"

echo "=========================check environment MOKA INTEGRATION =============================="

if [ -z $JAVA_HOME ] ; then  echo "# ATTENZIONE # definire la variabile d'ambiente JAVA_HOME (ad es: /usr/java/j2sdk1.4.1_02)" ; fi

if [ -z $ANT_HOME ] ; then  echo "# ATTENZIONE # L'applicazione A NON sara' installabile mediante ANT oppure definire la variabile d'ambiente ANT_HOME (ad es: /opt/jakarta-ant-1.5.1)" ; fi

if [ -z $TOMCAT_HOME ] ; then  echo "# ATTENZIONE # L'applicazione A (Presentation) NON sara' installabile oppure definire la variabile d'ambiente TOMCAT_HOME ad es: /var/tomcat4)" ; fi

if [ -z $JBOSS_DIST ] ; then echo "# ATTENZIONE # L'applicazione A (Business) NON sara' installabile oppure definire la variabile d'ambiente JBOSS_DIST (ad e: /home/jboss/jboss-3.0.7)" ; fi

if [ -z $MICO_HOME ] ; then echo "# ATTENZIONE # Non sara' possibile compilare il server CORBA C++ MICO oppure definire la variabile d'ambiente MICO_HOME (ad e: /home/corba/mico)" ; fi

if [ -z $AXIS_DIST ] ; then echo "# ATTENZIONE # NON sara' possibile provare l'integrazione WS Java (articolo Integrazioni parte III) oppure definire la varibile d'ambiente AXIS_DIST (ad es: /opt/axis-1_1RC2)" ; fi

if [ -z $AXIS_PATH ] ; then echo "# ATTENZIONE # NON sara' possibile provare l'integrazione con il WS Java NON essendo specificata la WebApp Axis(articolo integrazioni parte III) oppure definire la variabile d'ambiente AXIS_PATH (ad es: $TOMCAT_HOME/webapps/axis)" ; fi

if [ -z WLS_HOME ] ; then echo "# ATTENZIONE # NON sara' possibile provare l'integrazione Object/RPC (articolo Integrazioni parte II) oppure definire la vriabile d'ambiente WLS_HOME (ad es: c:\bea\weblogic700)" ; fi

