@echo off

call setenv_eai.bat

if %WORK_DIR%a==a echo ### ERROR WORK DIR NOT SET ###
echo WORK_DIR: %WORK_DIR%

echo AXIS JAR ...
set AXIS_JAR=%AXIS_DIST%\lib\axis.jar
set AXIS_JAR=%AXIS_JAR%;%AXIS_DIST%\lib\commons-logging.jar
set AXIS_JAR=%AXIS_JAR%;%AXIS_DIST%\lib\commons-discovery.jar
set AXIS_JAR=%AXIS_JAR%;%AXIS_DIST%\lib\saaj.jar
set AXIS_JAR=%AXIS_JAR%;%AXIS_DIST%\lib\jaxrpc.jar
set AXIS_JAR=%AXIS_JAR%;%AXIS_DIST%\lib\wsdl4j.jar
echo AXIS_JAR: %AXIS_JAR%
set CLASSPATH=%CLASSPATH%;%AXIS_JAR%
echo CLASSPATH: %CLASSPATH%

echo ***** Compilazione dei File JAVA articolo 2 ...
%JAVA_HOME%\bin\java -cp %CLASSPATH% org.apache.tools.ant.Main -buildfile %WORK_DIR%\ant\build.xml compile

IF %JBOSS_DIST%a==a (
	echo ########################
        echo ### NO JAR EJB JBoss ###
	echo ########################
) ELSE (
	echo ********************************
        echo * Costruizone EJB JBoss JAR... *
	echo ********************************
	%JAVA_HOME%\bin\java -cp %CLASSPATH% org.apache.tools.ant.Main -buildfile %WORK_DIR%\ant\build.xml makejar
)

IF %TOMCAT_HOME%a==a (
	echo ########################
        echo #### NO WAR TOMCAT ##### 
	echo ########################
) ELSE (
	echo ******************************
        echo * Costruzione TOMCAT WAR ... *
	echo ******************************
	%JAVA_HOME%\bin\java -cp %CLASSPATH% org.apache.tools.ant.Main -buildfile %WORK_DIR%\ant\build.xml makewar
)

rem IDLJ se non c' DIR, la crea. WSDL2JAVA la vuole gi creata !

echo #############################
echo #### CHECK GENERATED DIR ####
echo #############################
set DESTINATION_DIR=%WORK_DIR%\generated
IF not EXIST %DESTINATION_DIR%\corba\java (
	mkdir %DESTINATION_DIR%\corba\java 
	echo ### directory %DESTINATION_DIR%\corba\java  creata!
) ELSE (
        echo *** %DESTINATION_DIR%\corba\java  esistente...
)
IF not EXIST %DESTINATION_DIR%\ws\axis (
	mkdir %DESTINATION_DIR%\ws\axis
	echo ### directory %DESTINATION_DIR%\ws\axis  creata!
) ELSE (
        echo *** %DESTINATION_DIR%\ws\axis  esistente...
)
IF not EXIST %DESTINATION_DIR%\ws\dotnet (
	mkdir %DESTINATION_DIR%\ws\dotnet 
	echo ### directory %DESTINATION_DIR%\ws\dotnet  creata!
) ELSE (
        echo *** %DESTINATION_DIR%\ws\dotnet  esistente...
)

echo #########
echo # CORBA #
echo #########

set DESTINATION_DIR=%WORK_DIR%\generated
echo CORBA DESTINATION_DIR=%DESTINATION_DIR%

echo Compilazione del file IDL ...
%JAVA_HOME%/bin/idlj -i %JAVA_HOME%\lib -fall -td  %DESTINATION_DIR%\corba\java  %WORK_DIR%\interfaces\idl\calcolatrice.idl
echo ... i sorgenti Java sono disponibile nella directory %DESTINATION_DIR% ...
echo **************************************************************************************
echo * Compilazione dei sorgenti CORBA Java in %DESTINATION_DIR% ...
echo **************************************************************************************
%JAVA_HOME%\bin\java -cp %CLASSPATH% org.apache.tools.ant.Main -buildfile %WORK_DIR%\ant\build.xml compile-generated-corba
%JAVA_HOME%\bin\java -cp %CLASSPATH% org.apache.tools.ant.Main -buildfile %WORK_DIR%\ant\build.xml compile-plugin-corba

echo ###############
echo # WebServices #
echo ###############

IF %AXIS_DIST%a==a (
	echo ##########################
        echo #### NO AXIS DIST SET ####
	echo ##########################
) ELSE (

	echo ############################
	echo # Compilazione per WS AXIS #
	echo ############################

	%JAVA_HOME%\bin\java -cp %CLASSPATH% org.apache.axis.wsdl.WSDL2Java -o %DESTINATION_DIR% -p ws.axis %WORK_DIR%\interfaces\wsdl\axis\AxisCalculatorService.wsdl
	echo ... i sorgenti Java sono disponibile nella directory %DESTINATION_DIR%\ws\axis ...

	echo *******************************************************************************************
        echo * Compilazione dei sorgenti Java WebServices in %WORK_DIR%\generated\ws\axis... 
	echo *******************************************************************************************
	%JAVA_HOME%\bin\java -cp %CLASSPATH% org.apache.tools.ant.Main -buildfile %WORK_DIR%\ant\build.xml compile-generated-ws-axis
	echo *********************************************************
        echo * Compilazione dei sorgenti client e plugin WS AXIS ... *
	echo *********************************************************
	%JAVA_HOME%\bin\java -cp %CLASSPATH% org.apache.tools.ant.Main -buildfile %WORK_DIR%\ant\build.xml compile-plugin-axis
	echo *****************************************
        echo * Compilazione dei sorgenti WS AXIS ... *
	echo *****************************************
	%JAVA_HOME%\bin\java -cp %CLASSPATH% org.apache.tools.ant.Main -buildfile %WORK_DIR%\ant\build.xml compile-ws-axis

	echo ############################
	echo # Compilazione per WS .NET #
	echo ############################
	%JAVA_HOME%\bin\java -cp %CLASSPATH% org.apache.axis.wsdl.WSDL2Java -o %DESTINATION_DIR% -p ws.dotnet %WORK_DIR%\interfaces\wsdl\dotnet\DotNetCalculatorService.wsdl
	echo ... i sorgenti Java sono disponibile nella directory %DESTINATION_DIR%\ws\dotnet ...

  	echo ***********************************************************************************
        echo * Compilazione dei sorgenti Java WebServices in %WORK_DIR%\generated\ws\dotnet... *
  	echo ***********************************************************************************
	%JAVA_HOME%\bin\java -cp %CLASSPATH% org.apache.tools.ant.Main -buildfile %WORK_DIR%\ant\build.xml compile-generated-ws-dotnet
	echo *********************************************************
        echo * Compilazione dei sorgenti client e plugin WS .NET ... *
	echo *********************************************************
	%JAVA_HOME%\bin\java -cp %CLASSPATH% org.apache.tools.ant.Main -buildfile %WORK_DIR%\ant\build.xml compile-plugin-dotnet
)

IF %DOTNET_DIST%a==a (
	echo #############################
        echo #### NO C# CODE to build ####
	echo #############################
) ELSE (
	echo #########################
	echo # Compilazione per .NET #
	echo #########################
	cd %WORK_DIR%\applicazioni\app_c
	make.bat
)

