package it.mokabyte.eai.other.ejb;

import java.rmi.RemoteException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;

/**
 * <p>Title: CalculatorBeanIIOP</p>
 * <p>Description: un EJB che restituisce la lunghezza della stringa</p>
 * <p>Copyright: Copyright (c) 2001</p>
 * <p>Company: </p>
 * @author S.Rossini
 * @version 1.0
 */
public class CalculatorBeanIIOP implements SessionBean {

   public int getLength(String a) {
      int retval = -1;
      if(a!=null) {
          System.out.println(new java.util.Date().toString()+"-CalculatorBeanIIOP.getStringLength ["+ a + "]...");
          retval = a.length();
      }
      return retval;
   }

   public CalculatorBeanIIOP() {
      System.out.println(new java.util.Date().toString()+"-ConcatBean::constructor...");
   }
   public void ejbCreate() {
      System.out.println(new java.util.Date().toString()+"-ConcatBean.ejbCreate...");
   }
   public void ejbRemove() {
      System.out.println(new java.util.Date().toString()+"-ConcatBean.ejbRemove...");
   }
   public void ejbActivate() {
      System.out.println(new java.util.Date().toString()+"-ConcatBean.ejbActivate...");
   }

   public void ejbPassivate() {
      System.out.println(new java.util.Date().toString()+"-ConcatBean.ejbPassivate...");
   }

   public void setSessionContext(SessionContext sc) {
      System.out.println(new java.util.Date().toString()+"-ConcatBean.setSessionContext(ctx)...");
   }


}
