@echo off

call ..\ant\setenv_eai.bat

echo ==============================
echo FLAG ABILITAZIONE AVVIO SERVER
echo ==============================

rem Selezionare con YESY/NO lo start del server
SET START_TOMCAT=YES
SET START_JBOSS=YES
SET START_CORBA=NO
SET START_WLS=NO
SET START_TCPMON=NO
SET START_DOTNET_REMOTE_SERVER=NO

====================================
echo * AVVIO JBOSS     ABILITATO: %START_JBOSS%
echo * AVVIO WLS       ABILITATO: %START_WLS%
echo * AVVIO TOMCAT    ABILITATO: %START_TOMCAT%
echo * AVVIO CORBA     ABILITATO: %START_CORBA%
echo * AVVIO TCP MON   ABILITATO: %START_TCPMON%
echo * AVVIO SERVER C# ABILITATO: %START_DOTNET_REMOTE_SERVER%
====================================

echo ------------------------------------------------------------------------------------------------------
echo ... editare questo file per abilitare/disabilitare il lancio (*) dei Server ...
echo ------------------------------------------------------------------------------------------------------
echo (*) I Server sono effettivamente lanciati se installati e configurati opportunamenti le HOME directory
echo ------------------------------------------------------------------------------------------------------
pause

echo #################################################
echo ############## AVVIO DEI SERVER #################
echo #################################################

echo AXIS JAR ...
set AXIS_JAR=%AXIS_JAR%;%AXIS_DIST%\lib\axis.jar;
set AXIS_JAR=%AXIS_JAR%;%AXIS_DIST%\lib\axis-ant.jar;
set AXIS_JAR=%AXIS_JAR%;%AXIS_DIST%\lib\commons-logging.jar;
set AXIS_JAR=%AXIS_JAR%;%AXIS_DIST%\lib\commons-discovery.jar
set AXIS_JAR=%AXIS_JAR%;%AXIS_DIST%\lib\saaj.jar
set AXIS_JAR=%AXIS_JAR%;%AXIS_DIST%\lib\jaxrpc.jar
set AXIS_JAR=%AXIS_JAR%;%AXIS_DIST%\lib\log4j-1.2.4.jar
rem set AXIS_JAR=%AXIS_JAR%;%AXIS_DIST%\lib\wsdl4j.jar

set CLASSPATH=%CLASSPATH%;.;%JBOSS_JAR%;%JBOSS_CLIENT_STUB%;%WLS_JAR%;%WLS_CLIENT_STUB%;%JBOSS_JMS_JAR%;%AXIS_JAR%

echo CLASSPATH: %CLASSPATH%

echo === Starting JBOSS ===
IF %START_JBOSS%==YES (

	IF %JBOSS_DIST%a==a (
		echo ##########################
        	echo ### NO JBoss INSTALLED ###
		echo ##########################
	) ELSE (
		echo **********************
        	echo * Avvio di JBoss ... *
		echo **********************
		cd %JBOSS_DIST%\bin
		start run.bat -c all
		echo JBoss started !
		cd %WORK_DIR%\batch
	)
) ELSE (
	echo skipped... 
)

echo === Starting TOMCAT ===
IF %START_TOMCAT%==YES (

	IF %TOMCAT_HOME%a==a (
		echo ####################
        	echo #### NO TOMCAT ##### 
		echo ####################
	) ELSE (
		echo ***********************
        	echo * Avvio di TOMCAT ... *
		echo ***********************
		cd %TOMCAT_HOME%\bin
		start startup.bat
		echo TOMCAT started !
		cd %WORK_DIR%\batch
	)
) ELSE (
	echo skipped... 
)

echo === Starting CORBA ===
IF %START_CORBA%==YES (
	echo *********************************
	echo * Avvio CORBA Naming Server ... *
	echo *********************************
	start %JAVA_HOME%\bin\orbd -ORBInitialPort 2000
	echo Corba Java Server -press a key AFTER orbd is started-
	pause
	start %JAVA_HOME%\bin\java -classpath %CLASSPATH% it.mokabyte.eai.my.corba.CalcolatriceServer -ORBInitRef NameService=corbaloc::%HOST_D%:2000/NameService
) ELSE (
	echo skipped... 
)

echo === Starting Remote Server ===
IF %START_DOTNET_REMOTE_SERVER%==YES (
	echo ****************************
	echo * Avvio .NET C# Server ... *
	echo ****************************
	cd %WORK_DIR%\applicazioni\app_c\remote
	start server.exe
) ELSE (
	echo skipped... 
)

echo === Starting TCP Monitor for WS Axis ===
IF %START_TCPMON%==YES (
	IF %AXIS_DIST%a==%AXIS_DIST% (
		echo ##################
        	echo #### NO AXIS ##### 
		echo ##################
	) ELSE (
		echo *********************************
        	echo * Avvio di AXIS TCP Monitor ... *
		echo *********************************
		echo ... Starting AXIS TCP MONITOR ...
		start java org.apache.axis.utils.tcpmon 79 localhost 80
		start java org.apache.axis.utils.tcpmon 8079 localhost 8080
	) 
) ELSE (
	echo skipped... 
)


echo === Starting WLS ===
IF %START_WLS%==YES (

	IF %WLS_USER_HOME%a==a (
		echo ######################
        	echo #### NO WebLogic ##### 
		echo ######################
	) ELSE (
		echo ********************************
        	echo * Avvio di WebLogic Server ... *
		echo ********************************
		cd %WLS_USER_HOME%
		cd ..
		start startWebLogic.cmd
		echo BEA WLS started !
		cd %WORK_DIR%\batch
	)
) ELSE (
	echo skipped... 
)

echo ===  Avviare Internet Information Server da Windows === 

echo ===  Avviare CORBA MICO Server da Linux ===
