#!/bin/sh

. ../../../../../ant/setenv_eai.sh

DESTINATION_DIR=.
echo "DESTINATION_DIR: $DESTINATION_DIR"

echo "AXIS JAR ..."
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/axis.jar
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/commons-logging.jar
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/commons-discovery.jar
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/saaj.jar
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/jaxrpc.jar
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/wsdl4j.jar

export CLASSPATH=.:$AXIS_JAR
echo "CLASSPATH: $CLASSPATH"

echo "######################################################################################"
echo "...creazione stub Java Axis/Java a partire dal WSDL sull'HOST $HOST_E (Axis/Java)..."
echo "######################################################################################"

if [ ! -d classes ]
then
	mkdir classes	
fi

$JAVA_HOME/bin/java org.apache.axis.wsdl.WSDL2Java -o $DESTINATION_DIR -p ws.axis http://$HOST_E:8080/axis/services/MokaCalculatorService?wsdl
echo "... i sorgenti Java sono disponibile nella directory $DESTINATION_DIR/ws/axis ..."

echo "done !"
read -p "premere un tasto per continuare"

echo "###################################"
echo "# Compilazione Client per WS AXIS #"
echo "###################################"

echo "************************************"
echo "* Compilazione dei sorgenti generati"
echo "************************************"
$JAVA_HOME/bin/javac -classpath $CLASSPATH -d classes ws/axis/*.java
read -p "premere un tasto per continuare"

echo "**********************************"
echo "* Compilazione del sorgente client"
echo "**********************************"
$JAVA_HOME/bin/javac -classpath $CLASSPATH:classes -d classes *.java
