#!/bin/sh
 
. ../../../../ant/setenv_eai.sh

DESTINATION_DIR=$WORK_DIR/generated
echo "DESTINATION_DIR: $DESTINATION_DIR"

echo "AXIS JAR ..."
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/axis.jar
# AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/axis-ant.jar
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/commons-logging.jar
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/commons-discovery.jar
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/saaj.jar
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/jaxrpc.jar
# AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/log4j-1.2.4.jar
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/wsdl4j.jar

export CLASSPATH=.:$AXIS_JAR:$ANT_HOME/lib/ant.jar:$JAVA_HOME/lib/tools.jar
echo "CLASSPATH: $CLASSPATH"

echo "...creazione stub Java Axis/Java a partire dal WSDL sull'HOST $HOST_E (Axis/Java)..."

$JAVA_HOME/bin/java org.apache.axis.wsdl.WSDL2Java -o $DESTINATION_DIR -p ws.axis http://$HOST_E:8080/axis/services/MokaCalculatorService?wsdl
echo "... i sorgenti Java sono disponibile nella directory $DESTINATION_DIR/ws/axis ..."

echo "done !"
read -p "premere un tasto per proseguire"

echo "############################"
echo "# Compilazione per WS AXIS #"
echo "############################"

cd $WORK_DIR/ant

echo "*******************************************************************************************"
echo "* Compilazione dei sorgenti Java WebServices in $WORK_DIR/generated/ws/axis..." 
echo "*******************************************************************************************"
$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile $WORK_DIR/ant/build.xml compile-generated-ws-axis
echo "*********************************************************"
echo "* Compilazione dei sorgenti client e plugin WS AXIS ... *"
echo "*********************************************************"
$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile $WORK_DIR/ant/build.xml compile-plugin-axis

