package it.mokabyte.eai.my.delegate;

import it.mokabyte.eai.my.exception.BusinessDelegateException;

 /**
  * <p>Title: BusinessDelegateInterface </p>
  * <p>Description: dichiara il metodo getLength</p>
  * <p>Copyright: Copyright (c) 2003</p>
  * <p>Company: </p>
  * @author S. Rossini
  * @version 1.0
  */
public interface CalculatorBusinessDelegate {

 /**
  * Richiede il calcolo della lunghezza della stringa
  * param la stringa di cui calcolare la lunghezza
  * @return la lunghezza della stringa param
  * @throws BusinessDelegateException
  */
  public int getLength(String param) throws BusinessDelegateException;

}