#include <iostream>
#include <string>

#include <soapsoapCalculatorServiceServiceProxy.h>
#include <soapCalculatorServiceService.nsmap>

using namespace std;

int main(int argc, char* argv[])
{
	if (argc != 3)
	{
		cout << "usage: " << argv[0] << " <string_argument> <endpoint>" << endl;
		exit(1);
	}
	soapCalculatorServiceService* myProxy = new soapCalculatorServiceService();
	impl__getLengthResponse out;
	myProxy->endpoint = argv[2];
	cout << "Connecting to endpoint: " << myProxy->endpoint << endl;
	int retVal = myProxy->getLength(argv[1], &out );
	cout << "retVal: " << retVal<< endl;
	if (retVal == SOAP_OK)
	{
		cout << "Success!!" << endl;
		cout << "Lunghezza di " << argv[1] << ": " << out._getLengthReturn << endl;
	}
	else
		cout << "Failure!!" << endl;
}
