#include <iostream>
#include <string>

#include <soapsoapCalculator2Proxy.h>
#include <soapCalculator2.nsmap>

using namespace std;

int main(int argc, char* argv[])
{
	if (argc != 2)
	{
		cout << "usage: " << argv[0] << " <string_argument>" << endl;
		exit(1);
	}
	soapCalculator2* myProxy = new soapCalculator2();
	tns__getLengthResponse out;
	cout << "Connecting to endpoint: " << myProxy->endpoint << endl;
	int retVal = myProxy->getLength(argv[1], &out );
	cout << "retVal: " << retVal<< endl;
	if (retVal == SOAP_OK)
		cout << "Success!!" << endl;
	else
		cout << "Failure!!" << endl;
	cout << "Lunghezza di " << argv[1] << ": " << out._getLengthResult << endl;
}
