#!/bin/sh

. ../../setenv_eai.sh

LISTEN_PORT=1887
TARGET_HOST=$HOST_F
TARGET_PORT=1888

echo "##############################"
echo "# AVVIO TCP MONITOR per .NET #"
echo "##############################"
echo "* Listen Host: localhost    "
echo "* Listen Port: $LISTEN_PORT "
echo "* Target Host: $TARGET_HOST "
echo "* Target Port: $TARGET_PORT "
echo "##############################"

echo "AXIS JAR ..."
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/axis.jar:
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/axis-ant.jar:
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/commons-logging.jar:
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/commons-discovery.jar
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/saaj.jar
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/jaxrpc.jar
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/log4j-1.2.4.jar
# AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/wsdl4j.jar

export CLASSPATH=$CLASSPATH:.:$JBOSS_JAR:$JBOSS_CLIENT_STUB:$WLS_JAR:$WLS_CLIENT_STUB:$JBOSS_JMS_JAR:$AXIS_JAR

echo "CLASSPATH: $CLASSPATH"

if [ -z $AXIS_DIST ] 
then
	echo "#################################"
        echo "#### NO AXIS DIST INSTALLED #####" 
	echo "#################################"
else
	echo "inserire la password di root"
	su - -c "$JAVA_HOME/bin/java -cp $AXIS_DIST/lib/axis.jar org.apache.axis.utils.tcpmon $LISTEN_PORT $TARGET_HOST $TARGET_PORT"
fi
